@import url("https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&display=swap");

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family:
    "Inter",
    -apple-system,
    BlinkMacSystemFont,
    "San Francisco",
    "Segoe UI",
    Roboto,
    "Helvetica Neue",
    sans-serif;
  animation: jsFadeIn 200ms forwards;
  transition: 200ms;
  /* user-select: none; */
}

@keyframes jsFadeIn {
  0% {
    opacity: 0;
  }

  100% {
    opacity: 1;
  }
}

body {
  background: #f1f1f1;
}

.page-header {
  display: flex;
  align-items: center;
  justify-content: flex-start;
  align-self: flex-start;
  gap: 4px;
  padding: 6px 12px;
}

.d-flex {
  display: flex;
}

.d-flex-column {
  flex-direction: column;
}

.d-flex-row {
  flex-direction: row;
}

.gap-3 {
  gap: 3px;
}

.gap-6 {
  gap: 6px;
}

.gap-8 {
  gap: 8px;
}

.gap-12 {
  gap: 12px;
}

.w-100 {
  width: 100%;
}

.p-rel {
  position: relative;
}

.d-none {
  display: none !important;
}

.js-space-between {
  justify-content: space-between;
}

.js-align-items-center {
  align-items: center;
}

.validate-error {
  display: flex;
  align-items: center;
  font-size: 13px;
  gap: 3px;
  color: #8e0b21;
}

.validate-error svg {
  width: 14px;
  height: 14px;
  min-width: 14px;
  min-height: 14px;
  fill: #8e0b21;
}

.lib-container {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  gap: 20px;
  border: 1px solid #dcdcdc;
  height: 100%;
  padding: 6px 12px;
}

.lib-container .item {
  display: flex;
  justify-content: center;
  align-items: center;
}

.page-container {
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 12px 370px;
}

.shopify-polaris-icons {
  display: flex;
  z-index: 1;
  height: 20px;
  width: 20px;
  min-width: 20px;
  min-height: 20px;
  fill: #8a8a8a;
}

.shopify-polaris-icons-btn {
  cursor: pointer;
}

.gap-5 {
  gap: 5px;
}

label {
  user-select: none;
  cursor: pointer;
}

.shopify-polaris-icons-btn {
  background: transparent;
  cursor: pointer;
  padding: 4px;
  border-radius: 8px;
}

.shopify-polaris-icons-btn:hover {
  background: #0000001a;
}

/* black button */
.blackbtn {
  text-decoration: none;
  display: inline-flex;
  justify-content: center;
  text-align: center;
  background:
    linear-gradient(
      180deg,
      rgba(48, 48, 48, 0) 63.53%,
      hsla(0, 0%, 100%, 0.15)
    ),
    #303030;
  color: #ffffff;
  gap: 0.125rem;
  cursor: pointer;
  user-select: none;
  border: none;
  border-radius: 0.5rem;
  box-shadow:
    0rem -0.0625rem 0rem 0.0625rem rgba(0, 0, 0, 0.8) inset,
    0rem 0rem 0rem 0.0625rem #303030 inset,
    0rem 0.03125rem 0rem 0.09375rem hsla(0, 0%, 100%, 0.25) inset;
  padding: 0.375rem 0.75rem;
  transition-duration: 50ms;
  outline-offset: 0.0625rem;
  outline: 0.125rem solid transparent;
}

.blackbtn span {
  font-weight: 550;
  line-height: 1rem;
  font-size: 0.75rem;
}

.blackbtn:hover {
  background:
    linear-gradient(
      180deg,
      rgba(48, 48, 48, 0) 63.53%,
      hsla(0, 0%, 100%, 0.15)
    ),
    #1a1a1a;
  box-shadow:
    0rem -0.0625rem 0rem 0.0625rem rgba(0, 0, 0, 0.8) inset,
    0rem 0rem 0rem 0.0625rem #303030 inset,
    0rem 0.03125rem 0rem 0.09375rem hsla(0, 0%, 100%, 0.25) inset;
  transition-duration: 50ms;
}

.blackbtn:active {
  background:
    linear-gradient(
      180deg,
      rgba(48, 48, 48, 0) 63.53%,
      hsla(0, 0%, 100%, 0.15)
    ),
    #1a1a1a;
  box-shadow: 0rem 0.1875rem 0rem 0rem #000 inset;
  transition-duration: 50ms;
}

.blackbtn:focus-visible {
  background:
    linear-gradient(
      180deg,
      rgba(48, 48, 48, 0) 63.53%,
      hsla(0, 0%, 100%, 0.15)
    ),
    #1a1a1a;
  outline: 0.125rem solid #005bd3;
  outline-offset: 0.0625rem;
  transition-duration: 50ms;
}

/* white button */
.whitebtn {
  text-decoration: none;
  display: inline-flex;
  justify-content: center;
  text-align: center;
  background: #ffffff;
  color: #303030;
  gap: 0.125rem;
  cursor: pointer;
  user-select: none;
  border: none;
  border-radius: 0.5rem;
  box-shadow:
    0rem -0.0625rem 0rem 0rem #b5b5b5 inset,
    0rem 0rem 0rem 0.0625rem rgba(0, 0, 0, 0.1) inset,
    0rem 0.03125rem 0rem 0.09375rem #fff inset;
  padding: 0.375rem 0.75rem;
  transition-duration: 50ms;
  outline-offset: 0.0625rem;
  outline: 0.125rem solid transparent;
}

.whitebtn span {
  font-weight: 550;
  line-height: 1rem;
  font-size: 0.75rem;
}

.whitebtn:hover {
  background: #fafafa;
  box-shadow:
    0rem -0.0625rem 0rem 0rem #b5b5b5 inset,
    0rem 0rem 0rem 0.0625rem rgba(0, 0, 0, 0.1) inset,
    0rem 0.03125rem 0rem 0.09375rem #fff inset;
  transition-duration: 50ms;
}

.whitebtn:active {
  background: #f7f7f7;
  box-shadow:
    -0.0625rem 0rem 0.0625rem 0rem rgba(26, 26, 26, 0.122) inset,
    0.0625rem 0rem 0.0625rem 0rem rgba(26, 26, 26, 0.122) inset,
    0rem 0.125rem 0.0625rem 0rem rgba(26, 26, 26, 0.2) inset;
  transition-duration: 50ms;
}

.whitebtn:focus-visible {
  background: #fafafa;
  outline: 0.125rem solid #005bd3;
  outline-offset: 0.0625rem;
  transition-duration: 50ms;
}

/* red button */
.redbtn {
  text-decoration: none;
  display: inline-flex;
  justify-content: center;
  text-align: center;
  background: #c70a24;
  color: #ffffff;
  gap: 0.125rem;
  cursor: pointer;
  user-select: none;
  border: none;
  border-radius: 0.5rem;
  box-shadow:
    0rem -0.0625rem 0rem 0.0625rem rgba(142, 31, 11, 0.8) inset,
    0rem 0rem 0rem 0.0625rem rgba(181, 38, 11, 0.8) inset,
    0rem 0.03125rem 0rem 0.09375rem hsla(0, 0%, 100%, 0.349) inset;
  padding: 0.375rem 0.75rem;
  transition-duration: 50ms;
  outline-offset: 0.0625rem;
  outline: 0.125rem solid transparent;
}

.redbtn span {
  font-weight: 550;
  line-height: 1rem;
  font-size: 0.75rem;
}

.redbtn:hover {
  background: #a30a24;
  box-shadow:
    0rem -0.0625rem 0rem 0.0625rem rgba(142, 31, 11, 0.8) inset,
    0rem 0rem 0rem 0.0625rem rgba(181, 38, 11, 0.8) inset,
    0rem 0.03125rem 0rem 0.09375rem hsla(0, 0%, 100%, 0.349) inset;
  transition-duration: 50ms;
}

.redbtn:active {
  background: #8e0b21;
  box-shadow:
    -0.0625rem 0rem 0.0625rem 0rem rgba(0, 0, 0, 0.2) inset,
    0.0625rem 0rem 0.0625rem 0rem rgba(0, 0, 0, 0.2) inset,
    0rem 0.125rem 0rem 0rem rgba(0, 0, 0, 0.6) inset;
  transition-duration: 50ms;
}

.redbtn:focus-visible {
  background: #fafafa;
  outline: 0.125rem solid #005bd3;
  outline-offset: 0.0625rem;
  transition-duration: 50ms;
}

/* disable btn */
.redbtn:disabled,
.blackbtn:disabled,
.whitebtn:disabled,
.disableBtn {
  box-shadow: none !important;
  background: #0000002b !important;
  pointer-events: none !important;
  user-select: none !important;
}

.overlay {
  position: absolute;
  z-index: 1;
  cursor: pointer;
  /* left: 50%; */
  /* top: 50%; */
  border: 1px solid #8a8a8a;
  /* transform: translate(-50%, -50%); */
  background: #ffffff;
  width: 100%;
  padding: 8px 12px;
  border-radius: 8px;
  text-align: center;
}

div#fullPageLoader {
  display: flex;
  z-index: 111111111;
  position: fixed;
  justify-content: center;
  align-items: center;
  background: white;
  height: 100vh;
  width: 100vw;
  overflow: hidden;
}

div#fullPageLoader span.loader {
  width: 38px;
  height: 38px;
}

/* default loader */
span.loader {
  width: 16px;
  height: 16px;
  /* border: 2px solid #ffffff; */
  /* loader with dark bg */
  border: 2px solid #303030;
  /* loader with light bg */
  border-bottom-color: transparent;
  border-radius: 50%;
  display: inline-block;
  box-sizing: border-box;
  animation: rotation 500ms linear infinite;
}

span.loaderWhite {
  width: 16px;
  height: 16px;
  border: 2px solid #ffffff;
  /* loader with dark bg */
  /* border: 2px solid #303030; */
  /* loader with light bg */
  border-bottom-color: transparent;
  border-radius: 50%;
  display: inline-block;
  box-sizing: border-box;
  animation: rotation 500ms linear infinite;
}

@keyframes rotation {
  0% {
    transform: rotate(0deg);
  }

  100% {
    transform: rotate(360deg);
  }
}

/* default checkbox */
.shopify-j-switch {
  font-size: 17px;
  position: relative;
  display: inline-block;
  width: 2rem;
  min-width: 2rem;
  height: 1.25rem;
}

.shopify-j-switch input {
  opacity: 0;
  width: 0;
  height: 0;
}

.shopify-j-slider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #b6b6b6;
  transition: 0.2s;
  border-radius: 0.375rem;
}

.shopify-j-slider:hover {
  background-color: #a6a6a6;
}

.shopify-j-slider:before {
  position: absolute;
  content: "";
  height: 0.75rem;
  width: 0.75rem;
  border-radius: 0.1875rem;
  left: 4px;
  bottom: 4px;
  /* transform: rotate(270deg); */
  background-color: rgb(255, 255, 255);
  transition: 0.2s;
}

.shopify-j-switch input:checked + .shopify-j-slider {
  background-color: #303030;
}

.shopify-j-switch input:focus + .shopify-j-slider {
  box-shadow: 0 0 1px #2196f3;
}

.shopify-j-switch input:checked + .shopify-j-slider:before {
  transform: translateX(12px);
}

/* form field */
.item.formField {
  flex-direction: column;
  /* align-items: flex-start; */
  gap: 4px;
}

.item label {
  user-select: none;
  cursor: pointer;
  font-size: 13px;
}

.unit-size-px {
  color: #8d8a8a;
  position: absolute;
  right: 12px;
  top: 8px;
  font-size: 12px;
}

/* input fields */
.shopify-inputField {
  width: 100%;
  min-height: 2rem;
  display: flex;
  align-items: center;
  position: relative;
  flex: 1 1;
  /* padding: 6px 12px; */
  padding: 2px 12px;
  background-color: #fdfdfd;
  border: 0.66px solid #8a8a8a;
  border-radius: 8px;
  caret-color: #303030;
  color: #303030;
  outline-offset: 1px;
  outline: 2px solid transparent;
  font-weight: 450;
  transition: 200ms;
}

.shopify-inputField:hover {
  border-color: #616161;
  background-color: #fafafa;
}

.shopify-inputField:focus {
  border-color: rgba(26, 26, 26, 1);
  border-width: 1px;
  background-color: #f7f7f7;
  outline: 2px solid #005bd3;
  outline-offset: 1px;
}

input.shopify-inputField::-webkit-inner-spin-button,
input.shopify-inputField::-webkit-outer-spin-button {
  -webkit-appearance: none;
  appearance: none;
  /* cursor: pointer;
    background: #9a9a9a; */
}

/* searchbar - search bar */
.searchBar {
  position: relative;
  display: flex;
  align-items: center;
}

.searchBar .shopify-polaris-icons {
  position: absolute;
}

.searchBar .shopify-polaris-icons.searchBar-icon {
  left: 6px;
}

.searchBar .shopify-polaris-icons.clearBar-icon {
  display: none;
  cursor: pointer;
  right: 6px;
}

.searchBar .shopify-inputField {
  padding: 0px 30px 2px;
}

/* input error field */
.field-ValidationError {
  border-color: #c5280c !important;
  background-color: #fbeae5 !important;
}

/* dropdown */
.shopify-dropdown {
  position: relative;
  display: flex;
  flex-direction: column;
  justify-content: center;
  width: 100%;
}

.shopify-dropdown select {
  cursor: pointer;
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  width: 100%;
  display: flex;
  align-items: center;
  flex: 1 1;
  padding: 7px 8px;
  background-color: #fdfdfd;
  border: 0.66px solid #8a8a8a;
  border-radius: 8px;
  color: #303030;
  outline-offset: 1px;
  outline: 2px solid transparent;
  font-weight: 450;
  transition: 200ms;
}

.shopify-dropdown select:hover {
  border-color: #1a1a1a;
}

.shopify-dropdown select:active {
  box-shadow:
    -0.0625rem 0rem 0.0625rem 0rem rgba(26, 26, 26, 0.122) inset,
    0.0625rem 0rem 0.0625rem 0rem rgba(26, 26, 26, 0.122) inset,
    0rem 0.125rem 0.0625rem 0rem rgba(26, 26, 26, 0.2) inset;
}

.shopify-dropdown select:focus {
  border-color: #1a1a1a;
  background-color: #f7f7f7;
  outline: 2px solid #005bd3;
}

select::-ms-expand {
  display: none;
}

.shopify-dropdown .dropdownIcon {
  position: absolute;
  right: 3px;
}

/* callout card */
.shopify-callout-card-container {
  border-radius: 12px;
  width: 100%;
}

.shopify-banner-status {
  font-size: 13px;
  padding: 16px;
  background-color: #ffb800;
  width: 100%;
  display: inline-flex;
  justify-content: space-between;
  border-radius: 12px 12px 0 0;
  align-items: center;
  font-weight: 650;
  gap: 4px;
  box-shadow:
    0.0625rem 0rem 0rem 0rem rgba(0, 0, 0, 0.13) inset,
    -0.0625rem 0rem 0rem 0rem rgba(0, 0, 0, 0.13) inset,
    0rem -0.0625rem 0rem 0rem rgba(0, 0, 0, 0) inset,
    0rem 0.0625rem 0rem 0rem rgba(204, 204, 204, 0.5) inset;
}

.shopify-callout-card {
  display: flex;
  flex-direction: column;
  gap: 8px;
  padding: 16px;
  font-size: 13px;
  width: 100%;
  border-radius: 0 0 12px 12px;
  background: #ffffff;
  color: #303030;
  box-shadow:
    0.0625rem 0rem 0rem 0rem rgba(0, 0, 0, 0.13) inset,
    -0.0625rem 0rem 0rem 0rem rgba(0, 0, 0, 0.13) inset,
    0rem -0.0625rem 0rem 0rem rgba(0, 0, 0, 0.17) inset,
    0rem 0.0625rem 0rem 0rem rgba(204, 204, 204, 0.5) inset;
  /* box-shadow: 0px 1px 0px 0px rgba(26,26,26,0.07); */
}

.shopify-callout-card .cc-desc-header {
  display: flex;
  flex-direction: row;
  align-items: center;
  /* justify-content: space-between; */
  justify-content: flex-start;
  gap: 5px;
}

.shopify-callout-card .cc-desc-body {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
}

.shopify-callout-card .cc-desc {
  display: flex;
  flex-direction: column;
  gap: 8px;
}

.shopify-callout-card h2 {
  font-size: 13px;
  font-weight: 650;
}

.shopify-callout-card .cc-desc p {
  font-size: 13px;
  font-weight: 450;
}

.shopify-info-card {
  margin-top: 16px;
  border-radius: 12px;
}

.shopify-settings-card {
  display: flex;
  flex-direction: column;
  gap: 16px;
  background-color: #fff;
  border: 1px solid #d7d7d7;
  padding: 12px;
  border-radius: 8px;
  box-shadow: 0rem 0.0625rem 0rem 0rem rgba(26, 26, 26, 0.07);
}

.dismissable-card {
  flex-direction: row;
  justify-content: space-between;
}

.cc-dc-container {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  gap: 8px;
}

/* progress bar */
.progress-container {
  width: 100%;
  max-width: 400px;
  height: 16px;
  background-color: #e3e3e3;
  border-radius: 4px;
  overflow: hidden;
}

.progress-bar {
  width: 0%;
  height: 100%;
  background-color: #91d0ff;
  /* Shopify Indigo */
  transition: width 0.3s ease-in-out;
}

.callout-cards {
  display: flex;
  width: 100%;
  flex-direction: row;
  gap: 16px;
  justify-content: space-between;
}

.j-fadeOut {
  animation: jsfadeOut 300ms forwards;
}

@keyframes jsfadeOut {
  0% {
    opacity: 1;
  }

  100% {
    opacity: 0;
    display: none;
  }
}

/* section sets */
.sectionSets {
  display: flex;
  width: 100%;
  flex-direction: row;
  gap: 4px;
}

.sectionSets .sectionSet {
  width: 100%;
}

/* radio button */
.shopify-option {
  display: flex;
  align-items: center;
  gap: 8px;
  cursor: pointer;
}

.shopify-radio {
  height: 16px;
  width: 16px;
  border: 1px solid #8a8a8a;
  border-radius: 50%;
  outline: 4px solid transparent;
  outline-offset: -4px;
  background-color: #fff;
}

.shopify-label-text {
  font-size: 14px;
}

.shopify-radio:hover {
  border-color: #303030;
}

.shopify-label-text:active .shopify-radio,
input.shopify-radioBtn:not(:checked) + label .shopify-radio:active {
  outline-offset: -3px;
  outline: 3px solid #303030;
}

input.shopify-radioBtn:checked + label .shopify-radio {
  /* animation: radioFadeIn 100ms forwards; */
  background-color: #fff;
  outline-color: #303030;
  /* border-color: #005bd3; */
}

/* color picker */
.shopify-colorPicker {
  position: absolute;
  right: 5px;
  top: 4px;
  width: 24px;
  height: 24px;
  border: none;
  cursor: pointer;
  background-color: transparent;
}

input[type="color"]::-webkit-color-swatch-wrapper {
  padding: 0;
}

input[type="color"]::-webkit-color-swatch {
  /* border-radius: 50%; */
  border: 0.66px solid #8a8a8a;
  border-radius: 8px;
}

/* upload file */
.shopify-fileUpload-container {
  display: flex;
  width: 100%;
  min-height: 120px;
  padding: 5px 0;
  justify-content: center;
  align-items: center;
  border-radius: 8px;
  font-size: 13px;
  font-weight: 600;
  border: 1px dashed #000;
  background-color: #ffffff;
}

.upload-button {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 8px;
  flex-direction: column;
}

.upload-button p {
  color: #616161;
}

.upload-preview {
  display: none;
  flex-direction: column;
  align-items: center;
  text-align: center;
}

/* data table */
.js-shopifyTable {
  border-spacing: 0;
  text-align: left !important;
}

.js-shopifyTable th {
  padding: 6px 12px;
  border: none;
  border-top: 1px solid #e3e3e3;
  border-bottom: 1px solid #e3e3e3;
  background-color: #f6f6f7;
  font-weight: 600;
  color: #212b36;
  font-size: 15px;
}

.js-shopifyTable th:first-child {
  border-radius: 8px 0 0 0;
  border-left: 1px solid #e3e3e3;
}

.js-shopifyTable th:last-child {
  border-radius: 0 8px 0 0;
  border-right: 1px solid #e3e3e3;
}

/* .js-shopifyTable tr:last-child th:first-child {
    border-radius: 8px 0 0 8px;
}

.js-shopifyTable tr:last-child th:last-child {
    border-radius: 0 8px 8px 0;
} */

.js-shopifyTable tr:last-child td:first-child {
  border-radius: 0 0 0 8px;
}

.js-shopifyTable td:first-child {
  border-left: 1px solid #e3e3e3;
}

.js-shopifyTable tr:last-child td:last-child {
  border-radius: 0 0 8px 0;
}

.js-shopifyTable td:last-child {
  border-right: 1px solid #e3e3e3;
}

.js-shopifyTable td {
  padding: 6px 12px;
  border: none;
  border-bottom: 1px solid #e3e3e3;
  background-color: #fff;
  font-size: 14px;
  color: #454f5b;
}

/* Link */
.jsLink {
  cursor: pointer;
  color: #004299;
  text-decoration: underline;
}

/* Info modal */
.infoContainer {
  padding: 12px;
  align-items: center;
  background: #ffffff;
  border-radius: 8px;
}

.infoBox {
  padding: 4px;
  background: #91d0ff;
  border-radius: 8px;
}

/* Accordian */
.jsAcc {
  border-radius: 8px;
  padding: 12px 24px;
  background: #d4dde94d;
}

.jsAcc.jsActive {
  display: flex;
}

.jsAccQue {
  cursor: pointer;
  color: #303030;
  font-weight: 650;
  align-items: center;
}

.jsAccAns {
  max-height: 0;
  overflow: hidden;
  transition:
    max-height 0.3s ease,
    padding 0.3s ease;
  padding: 0;
}

.jsAccAns.open {
  /* max-height: 300px; */
  padding: 8px 0;
  overflow: unset;
}

.jsAccQue svg.rotated {
  transform: rotate(180deg);
  transition: 300ms;
}

.jsTopBar {
  display: flex;
  justify-content: space-between;
  flex-direction: row;
  align-items: center;
  width: 100%;
}

/* media queries */
@media (min-width: 2560px) {
  .page-container {
    padding: 12px 450px;
  }
}

@media (max-width: 1440px) {
  .page-container {
    padding: 12px 150px;
  }
}

@media (max-width: 1024px) {
  .page-container {
    padding: 12px 100px;
  }
}

@media (max-width: 768px) {
  .page-container {
    padding: 6px 12px;
  }
}

@media (max-width: 375px) {
  .page-container {
    padding: 6px 8px;
  }

  .page-header {
    font-size: 13px;
  }

  .js-shopifyTable th,
  .js-shopifyTable td {
    font-size: 13px;
    padding: 6px 8px;
  }
}
